RESTinio

Classes | Namespaces | Enumerations | Functions
ip_blocker.hpp File Reference

Stuff related to IP blockers. More...

`#include <restinio/common_types.hpp>`

Go to the source code of this file.

## Classes
class | restinio::ip_blocker::incoming_info_t
| An information about new incoming connection to be passed to IP-blocker object. More...
struct | restinio::ip_blocker::noop_ip_blocker_t
| The default no-op IP-blocker. More...

## Namespaces
namespace | restinio
namespace | restinio::ip_blocker

## Enumerations
enum class | restinio::ip_blocker::inspection_result_t { restinio::ip_blocker::deny , restinio::ip_blocker::allow }
| Enumeration of result of inspecting new incoming connection. More...

## Functions
constexpr inspection_result_t | restinio::ip_blocker::deny () noexcept
| Shorthand for inspection_result_t::deny. More...
constexpr inspection_result_t | restinio::ip_blocker::allow () noexcept
| Shorthand for inspection_result_t::allow. More...

## Detailed Description

Stuff related to IP blockers.

Since
  v.0.5.1

Definition in file ip_blocker.hpp.